%define major 28
%define sslmajor 27
%define xsslmajor 0
%define libname %mklibname %{name} %{major}
%define libssl %mklibname %{name}-ssl %{sslmajor}
%define libxssl %mklibname %{name}-xssl %{xsslmajor}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.2.21
%define subrel	4
Release:	%mkrel 1
License:	LGPLv2+
Group:		Security
URL:		http://www.gnutls.org
Source0:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz.sig
Patch0:		gnutls-3.2.21-CVE-2015-0294.patch
Patch1:		gnutls-GNUTLS-SA-2015-2.patch
Patch2:		gnutls-GNUTLS-SA-2015-3.patch
Patch3:		gnutls-GNUTLS-SA-2016-3.patch
Patch4:		gnutls-3.2.21-CVE-2016-8610.patch
Patch5:		gnutls-3.2.21-CVE-2017-5334.patch
Patch6:		gnutls-3.2.21-CVE-2017-5335.patch
Patch7:		gnutls-3.2.21-CVE-2017-5336.patch
Patch8:		gnutls-3.2.21-CVE-2017-5337.patch
Patch9:		gnutls-3.2.21-CVE-2017-7869.patch
Patch10:	gnutls-3.2.21-CVE-2017-7507.patch
BuildRequires:	liblzo-devel
BuildRequires:	nettle2.7-devel
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	pkgconfig(p11-kit-1) >= 0.2
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif
BuildRequires:  opencdk-devel
BuildRequires:	texinfo
Requires:	%{libname} = %{version}

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n	%{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{libssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Requires:	%{libname} = %{version}

%description -n	%{libssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{libxssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Requires:	%{libname} = %{version}

%description -n	%{libxssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libssl} = %{version}-%{release}
Requires:	pkgconfig(nettle) < 3.0
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .CVE-2015-0294
%patch1 -p1 -b .GNUTLS-SA-2015-2
%patch2 -p1 -b .GNUTLS-SA-2015-3
%patch3 -p1 -b .GNUTLS-SA-2016-3
%patch4 -p1 -b .CVE-2016-8610
%patch5 -p1 -b .CVE-2017-5334
%patch6 -p1 -b .CVE-2017-5335
%patch7 -p1 -b .CVE-2017-5336
%patch8 -p1 -b .CVE-2017-5337
%patch9 -p1 -b .CVE-2017-7869
%patch10 -p1 -b .CVE-2017-7507

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--with-libz-prefix=%{_prefix} \
	--with-packager="%_vendor" \
	--with-packager-version="%product_version" \
	--with-packager-bug-reports="https://bugs.mageia.org" \
	--disable-gtk-doc-html \
%ifnarch %arm %mips
	--enable-valgrind-tests \
%endif
	--disable-rpath \
	--disable-guile

%make

%check
#make check

%install
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

rm -f %{buildroot}%{_libdir}/*.la

%post
%_install_info gnutls.info

%postun
%_remove_install_info gnutls.info

%files -f %{name}.lang 
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/danetool
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
#{_bindir}/tpmtool
%{_mandir}/man?/*
%{_infodir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libssl}
%{_libdir}/lib*.so.%{sslmajor}*

%files -n %{libxssl}
%{_libdir}/lib*.so.%{xsslmajor}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls


%changelog
* Mon Jul 17 2017 ns80 <ns80> 3.2.21-1.4.mga5
+ Revision: 1124064
- add patches for CVE-2017-7869 and CVE-2017-7507 (mga#20417)
- add patches for CVE-2016-8610 and CVE-2017-533[4-7] (mga#20099)

  + luigiwalser <luigiwalser>
    - add upstream patch to fix GNUTLS-SA-2016-3
    - add upstream patch to fix GNUTLS-SA-2015-3
    - add upstream patch to fix CVE-2015-0294
      rediff upstream patch to fix GNUTLS-SA-2015-2

* Fri Dec 19 2014 luigiwalser <luigiwalser> 3.2.21-1.mga5
+ Revision: 804318
- 3.2.21

* Thu Nov 13 2014 luigiwalser <luigiwalser> 3.2.20-1.mga5
+ Revision: 796753
- 3.2.20 (fixes CVE-2014-8564)

* Wed Oct 15 2014 umeabot <umeabot> 3.2.17-3.mga5
+ Revision: 741358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.17-2.mga5
+ Revision: 679838
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 3.2.17-1.mga5
+ Revision: 670117
- 3.2.17

* Wed Aug 13 2014 luigiwalser <luigiwalser> 3.2.16-2.mga5
+ Revision: 662357
- gnutls-devel requires nettle 2.7 devel, not nettle 3.0 devel

* Mon Aug 04 2014 luigiwalser <luigiwalser> 3.2.16-1.mga5
+ Revision: 659585
- 3.2.16
- BR nettle2.7-devel

  + dmorgan <dmorgan>
    - Rebuild against new libnettle

* Fri May 30 2014 luigiwalser <luigiwalser> 3.2.15-1.mga5
+ Revision: 628016
- 3.2.15 (fixes CVE-2014-3466)

* Sat Apr 26 2014 luigiwalser <luigiwalser> 3.2.13-1.mga5
+ Revision: 618247
- 3.2.13

* Thu Mar 06 2014 luigiwalser <luigiwalser> 3.2.12.1-1.mga5
+ Revision: 600303
- 3.2.12.1

* Mon Mar 03 2014 luigiwalser <luigiwalser> 3.2.12-1.mga5
+ Revision: 598856
- 3.2.12 (fixes CVE-2014-0092)

* Fri Feb 14 2014 oden <oden> 3.2.11-1.mga5
+ Revision: 591051
- 3.2.11 (fixes CVE-2014-1959)

* Tue Feb 04 2014 fwang <fwang> 3.2.10-1.mga5
+ Revision: 581616
- new version 3.2.10

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.2.7-1.mga4
+ Revision: 555427
- 3.2.7

* Tue Nov 05 2013 luigiwalser <luigiwalser> 3.2.6-1.mga4
+ Revision: 549728
- 3.2.6 (fixes regression in CVE-2013-4466 fix)
- 3.2.5 (fixes CVE-2013-4466)

* Sat Oct 19 2013 umeabot <umeabot> 3.2.4-2.mga4
+ Revision: 533585
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 3.2.4-1.mga4
+ Revision: 474006
- new version 3.2.4

* Thu Aug 08 2013 luigiwalser <luigiwalser> 3.2.3-1.mga4
+ Revision: 464788
- 3.2.3

* Mon Jul 15 2013 fwang <fwang> 3.2.2-1.mga4
+ Revision: 454579
- br makeinfo
- new version 3.2.2

* Sun Jun 02 2013 fwang <fwang> 3.2.1-1.mga4
+ Revision: 434882
- disable check as it always broken
- fix linkage
- new version 3.2.1
- update license
- new version 3.2.0

* Fri May 24 2013 luigiwalser <luigiwalser> 3.1.10-1.mga4
+ Revision: 426655
- 3.1.10

* Tue Feb 12 2013 fwang <fwang> 3.1.8-2.mga3
+ Revision: 397999
- add versioned requires

* Mon Feb 11 2013 guillomovitch <guillomovitch> 3.1.8-1.mga3
+ Revision: 397858
- new version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.6-2.mga3
+ Revision: 352394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 3.1.6-1.mga3
+ Revision: 343153
- disable trousers support (tpmtool), possible license problem + will not build
- 3.1.6

  + fwang <fwang>
    - update url

* Sun Nov 25 2012 fwang <fwang> 3.1.5-1.mga3
+ Revision: 321715
- update file list
- new version 3.1.5

* Tue Oct 30 2012 fwang <fwang> 3.1.3-2.mga3
+ Revision: 311613
- rebuild for new libtasn1
- update rpm group

* Sun Oct 14 2012 fwang <fwang> 3.1.3-1.mga3
+ Revision: 305299
- new version 3.1.3

* Sat Sep 29 2012 fwang <fwang> 3.1.2-1.mga3
+ Revision: 299993
- new version 3.1.2
- update file list

* Mon Sep 03 2012 fwang <fwang> 3.1.1-1.mga3
+ Revision: 287473
- new version 3.1.1
- br trousers

* Thu Aug 30 2012 fwang <fwang> 3.1.0-1.mga3
+ Revision: 285840
- new version 3.1.0

* Sun Aug 05 2012 fwang <fwang> 3.0.22-1.mga3
+ Revision: 278673
- new version 3.0.22

* Thu Jul 05 2012 fwang <fwang> 3.0.21-1.mga3
+ Revision: 267829
- new version 3.0.21

* Wed Jun 06 2012 fwang <fwang> 3.0.20-1.mga3
+ Revision: 256040
- new version 3.0.20

* Thu May 31 2012 fwang <fwang> 3.0.19-1.mga3
+ Revision: 251962
- new version 3.0.19

* Tue Apr 03 2012 guillomovitch <guillomovitch> 3.0.18-1.mga2
+ Revision: 228256
- new version

* Wed Mar 21 2012 fwang <fwang> 3.0.17-1.mga2
+ Revision: 225152
- new version 3.0.17

* Sun Mar 04 2012 fwang <fwang> 3.0.15-2.mga2
+ Revision: 217803
- dont know why it is providing a wrong name

* Sun Mar 04 2012 fwang <fwang> 3.0.15-1.mga2
+ Revision: 217753
- update file list
- new version 3.0.15
- new version 3.0.14
- specify mageia info
- new version 3.0.12

* Thu Jan 12 2012 fwang <fwang> 3.0.11-1.mga2
+ Revision: 195122
- new version 3.0.11

* Wed Dec 14 2011 fwang <fwang> 3.0.9-1.mga2
+ Revision: 181525
- new version 3.0.9

* Tue Nov 22 2011 fwang <fwang> 3.0.8-1.mga2
+ Revision: 170780
- new version 3.0.8
- new version 3.0.5

* Sat Oct 15 2011 fwang <fwang> 3.0.4-1.mga2
+ Revision: 155340
- bump nettle req
- new version 3.0.4

* Mon Sep 19 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 145486
- new verrsion 3.0.3

* Thu Sep 01 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 137640
- new version 3.0.2
- new version 3.0.1
- update file list
- br p11-kit
- new version 3.0.0 (only nettle backend is supported)

* Fri Jun 24 2011 mikala <mikala> 2.12.7-2.mga2
+ Revision: 113217
- Build with --with-libgcrypt instead of nettle
- Add patch0 from fedora to skip dsa tests
- Add back %%ifnarch for arm & mips (we do have an arm port where valgrind is not available)

* Tue Jun 21 2011 fwang <fwang> 2.12.7-1.mga2
+ Revision: 111574
- new verison 2.12.7 (nettle based)

* Thu Mar 24 2011 boklm <boklm> 2.10.5-2.mga1
+ Revision: 76149
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.10.5-1.mga1
+ Revision: 74054
- new version 2.10.5
- drop buildroot definition

* Wed Jan 12 2011 ahmad <ahmad> 2.10.4-2.mga1
+ Revision: 6790
- drop old/unneeded scriptlets
- imported package gnutls


* Tue Dec 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.10.4-1mdv2011.0
+ Revision: 614395
- new version 2.10.4

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 2.10.3-1mdv2011.0
+ Revision: 599501
- new version 2.10.3

* Sat Oct 16 2010 Funda Wang <fwang@mandriva.org> 2.10.2-1mdv2011.0
+ Revision: 585921
- new version 2.10.2

* Sun Jul 25 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.10.1-1mdv2011.0
+ Revision: 559776
- update to 2.10.1

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2.10.0-1mdv2011.0
+ Revision: 549968
- New version 2.10.0

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 2.8.6-1mdv2010.1
+ Revision: 525446
- New version 2.8.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 2.8.5-1mdv2010.1
+ Revision: 461828
- add sig
- new version 2.8.5

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.8.4-3mdv2010.0
+ Revision: 454737
- do not package huge ChangeLog

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2.8.4-2mdv2010.0
+ Revision: 448974
- disable valgrind for mips & arm (from Arnaud Patard)

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.4-1mdv2010.0
+ Revision: 444963
- update to new version 2.8.4

* Thu Aug 13 2009 Emmanuel Andry <eandry@mandriva.org> 2.8.3-1mdv2010.0
+ Revision: 416093
- New version 2.8.3

* Wed Aug 12 2009 Emmanuel Andry <eandry@mandriva.org> 2.8.2-1mdv2010.0
+ Revision: 415669
- New version 2.8.2
- drop P1 (merged upstream)

* Tue Jul 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.8.1-2mdv2010.0
+ Revision: 393087
- Added upstream patch to fix EAGAIN happening too often.

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 385184
- Update to new version 2.8.1

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 2.8.0-1mdv2010.0
+ Revision: 381086
- New version 2.8.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 2.6.6-1mdv2010.0
+ Revision: 369945
- New version 2.6.6

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.4-1mdv2009.1
+ Revision: 339088
- update to new version 2.6.4

* Tue Dec 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.3-1mdv2009.1
+ Revision: 315015
- update to new version 2.6.3

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-2mdv2009.1
+ Revision: 314900
- added the rediffed fuzzy patch
- rebuild

* Fri Nov 14 2008 Funda Wang <fwang@mandriva.org> 2.6.2-1mdv2009.1
+ Revision: 302959
- New version 2.6.2

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 302030
- New version 2.6.1

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 296359
- New version 2.6.0

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2009.1
+ Revision: 291789
- New version 2.4.2
- patch0 merged upstream

* Sun Jul 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 234268
- update to new version 2.4.1
- fix typo in patch name

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-2mdv2009.0
+ Revision: 227987
- rebuilt due to PayloadIsLzma problems

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 2.4.0-1mdv2009.0
+ Revision: 227692
- New version 2.4.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.11-1mdv2009.0
+ Revision: 212897
- update to new version 2.3.11
- enable support for libzo
- compile with system-wide libtasn1
- enable checks
- do not package COPYING file
- Patch0: add missing header

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 2.3.9-1mdv2009.0
+ Revision: 208538
- New version 2.3.9

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 2.3.8-1mdv2009.0
+ Revision: 202890
- New version 2.3.8

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix license tag (thanx Adam)

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-2mdv2008.1
+ Revision: 173245
- enable srp authentication, needed by mod_gnutls

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 171614
- new version
  drop signature file from sources (missing from mirrors)
  disable guile bindings explicitely

* Sat Jan 19 2008 Funda Wang <fwang@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 155052
- New version 2.2.1

* Sat Jan 12 2008 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 149636
- BR opencdk 0.6.x
- WARNING: New major 13->26

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 2.0.4-1mdv2008.1
+ Revision: 109266
- New version 2.0.4

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 102896
- New versino 2.0.2

* Tue Sep 18 2007 Funda Wang <fwang@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 89561
- Force rebuild

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 79694
- Correct license of library
- New version 2.0.0

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.3-1mdv2008.0
+ Revision: 51577
- disable rpath
- compile with gcrypt support
- new version
- new devel library policy


* Tue Jan 23 2007 Stew Benedict <sbenedict@mandriva.com> 1.6.1-1mdv2007.0
+ Revision: 112605
- 1.6.1
  drop P0 - merged upstream
  work around %%multiarch weirdness for multiple files

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
+ Revision: 85045
- Import gnutls

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
- 1.4.5

* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-4mdv2007.0
- - Rebuild against ncurse

* Wed Sep 20 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-3mdv2007.0
- P0: security fix for CVE-2006-4790

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.0-2mdv2007.0
- Rebuild

* Fri May 26 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-1mdv2007.0
- 1.4.0

* Sat Apr 15 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.25-4mdk
- P3: security fix for CVE-2006-0645

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.25-3mdk
- Rebuild

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-2mdk
- replace source 2 by patch 2 and update it for new liblzo

* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-1mdk
- update patch 1
- update minilzo to 2.00
- new version

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 1.0.23-2mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.23-1mdk
- 1.0.23
- fix %%libname_orig
- remove patent tainted SRP code (P1 from fedora)
- drop P0 (fixed upstream)
- fix summary-ended-with-dot

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 1.0.13-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.10-1mdk
- new release

